
package de.ivu.elect.presentation.entschaedigung.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.entschaedigung.entity.Entschaedigung;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(EntschaedigungActionMenu.COMPONENT_NAME)
public class EntschaedigungActionMenu extends AbstractActionMenuModelBuilder<Entschaedigung> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "entschaedigungActionMenu";

  @Inject
  private transient EntschaedigungDeleteAction entschaedigungDeleteAction;

  public EntschaedigungActionMenu() {
    super();
  }

  @Override
  protected List<ActionEntry<Entschaedigung>> getActionEntriesSorted() {
    List<ActionEntry<Entschaedigung>> result = new ArrayList<>();

    result.add(entschaedigungDeleteAction);

    return result;
  }
}
